use warnings;
use strict;
use feature 'say';

use Data::Dumper;
use IPC::Shareable;
use Test::More;

eval {
    my %hash;

    my $s = tie %hash, 'IPC::Shareable', {
        key => 1111,
        create => 1,
        destroy => 1,
        persist => 1
    };

    $hash{x} = [qw(1 2 3)];
};

like $@, qr/ERROR:.*Only hashes/, "if a persistent struct has an array, we croak";

done_testing();

